Create multiple contacts

Creates multiple contacts and updates existing ones.
This route uses WebSocket in order to notify connected clients of the creation progress
The route process is the following:

  1. The webSocketServer (wss) sends one contact_bulk_create_starting
  2. wss sends as many contact_bulk_create_running as there is contacts to create/update
  3. wss sends one contact_bulk_create_ending
    The API returns between the sending of _starting and _ending
    WebSocket payload format:
  • _starting: {
    listId: Id of the list in which contacts will be added,
    uuid: Unique transaction id
    }
  • _running: {
    uuid: Unique transaction id,
    i: Index of the contact currently processed,
    total: Total number of contact to process
    }
  • _ending: {
    uuid: Unique transaction id,
    created: Number of contact created
    updated: Number of contact updated
    }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean
Defaults to false

When true, existing contacts will be moved to the list passed in parameter

boolean
Defaults to false

When true, existing contact owner will be replaced by the owner field

Body Params

Create a new contact

list
object
contacts
array of objects
length between 1 and 10000
contacts
date

Date at which the contact has been collected.

url

URL to the contact's linkedin profile

string

Optional email of the contact's owner

string
enum
Defaults to manual

Source from which the contact was added

Allowed:
vars
object

A hash map of custom properties set by the user.

string

Email address

string

Individual's first name

string

Individual's last name

string

The category of the company

string

Company name

string

The number of employeen in the company

string

What does the company do

string

Company website

string

City in which the contact works

string

Country in which the contact works

string
Defaults to en

Contact's language

string

Contact professional mobile phone number

string

The gravatar url

string

Contac professional phone number

string

Job title of the person within the company

string

Contact zipcode

Responses

402

The reason parameter describes the error:

  • contact_connect_quotas: The user cannot creates more contact from connect for the day
  • contact_total_quotas: The use cannot add more contact to its account

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json